Subject: Linux kernel 2.6 on Embedded Planet 8248 board

From: Boris Shteinbock <[email-masked]>
Date: Thu, 16 Nov 2006 18:52:26 +0200

Hi. I am trying to bring up Linux kernel 2.6.16 on EP8248 board
and I am having some serious problems with console driver there, which 
doesn't work (console on SMC).
The kernel hangs after console_init() and BDM shows exception that I was 
unable to trace to any specific point.

I've got access to Arabella Linux 2.4 for this board, but it also 
doesn't work at all unfortunately. Just
for reference, u-boot 1.1.6 works quite well after some chip-select 
patching. so I am sure that the board is
functional.

Linux-related information for this board is quite sparse and couldn't 
find anything useful for me.
If any of you had successfully booted 2.6.* kernels on this board, I'd 
really appreciate some
help or perhaps platform-specific files that you've used.

Thanks in advance